## pbuilder 0.223

=== Makefile ===
INSTALL = install
INSTALL_DIRECTORY = $(INSTALL) -d -m 0755
INSTALL_FILE = $(INSTALL) -m 0644
INSTALL_EXECUTABLE = $(INSTALL) -m 0755

# semi-standard dirs
DESTDIR :=
SYSCONFDIR := $(DESTDIR)/etc
BINDIR := $(DESTDIR)/usr/bin
PKGLIBDIR := $(DESTDIR)/usr/lib/pbuilder
SBINDIR := $(DESTDIR)/usr/sbin
PKGDATADIR := $(DESTDIR)/usr/share/pbuilder

define newline


endef

NULL :=

ALLDIRS += BASHCOMPLETION
BASHCOMPLETIONDIR := $(PKGDATADIR)/../bash-completion/completions/
BASHCOMPLETION_DATA += \
	bash_completion.d/pbuilder \
	$(NULL)
CHECK_SCRIPTS += bash_completion.d/pbuilder

ALLDIRS += PBUILDERCONF
PBUILDERCONFDIR := $(SYSCONFDIR)/pbuilder
PBUILDERCONF_DATA += \
	$(NULL)

ALLDIRS += BIN
BIN_SCRIPTS += \
	debuild-pbuilder \
	pdebuild \
	$(NULL)

ALLDIRS += PKGLIB
PKGLIB_SCRIPTS += \
	pbuilder-apt-config \
	pbuilder-buildpackage \
	pbuilder-buildpackage-funcs \
	pbuilder-checkparams \
	pbuilder-createbuildenv \
	pbuilder-loadconfig \
	pbuilder-modules \
	pbuilder-runhooks \
	pbuilder-satisfydepends-aptitude \
	pbuilder-satisfydepends-checkparams \
	pbuilder-satisfydepends-classic \
	pbuilder-satisfydepends-experimental \
	pbuilder-satisfydepends-funcs \
	pbuilder-satisfydepends-gdebi \
	pbuilder-unshare-wrapper \
	pbuilder-updatebuildenv \
	pdebuild-checkparams \
	pdebuild-internal \
	$(NULL)

ALLDIRS += SBIN
SBIN_SCRIPTS += \
	pbuilder \
	$(NULL)

ALLDIRS += EXAMPLE
EXAMPLEDIR := $(DESTDIR)/usr/share/doc/pbuilder/examples
EXAMPLE_DATA += \
	pbuilderrc \
	$(NULL)
CHECK_SCRIPTS += pbuilderrc
EXAMPLE_SCRIPTS += \
	examples/B90lintian \
	examples/B91dpkg-i \
	examples/B92test-pkg \
	examples/C10shell \
	examples/C11screen \
	examples/D10tmp \
	examples/D20addnonfree \
	examples/D65various-compiler-support \
	examples/D80no-man-db-rebuild \
	examples/D90chrootmemo \
	examples/F90chrootmemo \
	examples/B90list-missing \
	examples/B91debc \
	examples/B20autopkgtest \
	examples/execute_installtest.sh \
	examples/execute_paramtest.sh \
	examples/pbuilder-distribution.sh \
	$(NULL)

ALLDIRS += EXAMPLE_LVMPBUILDER
EXAMPLE_LVMPBUILDERDIR := $(EXAMPLEDIR)/lvmpbuilder
EXAMPLE_LVMPBUILDER_DATA += \
	examples/lvmpbuilder/README \
	examples/lvmpbuilder/STRATEGY \
	$(NULL)
EXAMPLE_LVMPBUILDER_SCRIPTS += \
	examples/lvmpbuilder/lvmbuilder \
	$(NULL)

ALLDIRS += EXAMPLE_LVMPBUILDER_LIB
EXAMPLE_LVMPBUILDER_LIBDIR := $(EXAMPLE_LVMPBUILDERDIR)/lib
EXAMPLE_LVMPBUILDER_LIB_SCRIPTS += \
	examples/lvmpbuilder/lib/lvmbuilder-checkparams \
	examples/lvmpbuilder/lib/lvmbuilder-modules \
	examples/lvmpbuilder/lib/lvmbuilder-unimplemented \
	$(NULL)

ALLDIRS += EXAMPLE_PBUILDERTEST
EXAMPLE_PBUILDERTESTDIR := $(EXAMPLEDIR)/pbuilder-test
EXAMPLE_PBUILDERTEST_DATA += \
	examples/pbuilder-test/README \
	examples/pbuilder-test/002_sample.c \
	$(NULL)
EXAMPLE_PBUILDERTEST_SCRIPTS += \
	examples/pbuilder-test/000_prepinstall \
	examples/pbuilder-test/001_apprun \
	examples/pbuilder-test/002_libfile \
	examples/pbuilder-test/003_makecheck \
	examples/pbuilder-test/004_ldd \
	$(NULL)

ALLDIRS += EXAMPLE_REBUILD
EXAMPLE_REBUILDDIR := $(EXAMPLEDIR)/rebuild
EXAMPLE_REBUILD_DATA += \
	examples/rebuild/README \
	$(NULL)
EXAMPLE_REBUILD_SCRIPTS += \
	examples/rebuild/buildall \
	examples/rebuild/getlist \
	$(NULL)

ALLDIRS += PKGDATA
PKGDATA_DATA += \
	pbuilderrc \
	$(NULL)
CHECK_SCRIPTS += \
	pbuilderrc \
	$(NULL)

NOINST_MANPAGES += \
	debuild-pbuilder.1 \
	pbuilder.8 \
	pbuilderrc.5 \
	pdebuild.1 \
	$(NULL)
CHECK_MANPAGES += $(NOINST_MANPAGES)

# TODO: check subdirs etc.

CHECK_SCRIPTS += $(foreach d,$(ALLDIRS),$($(d)_SCRIPTS))

all:
	$(MAKE) -C pbuildd $@
	$(MAKE) -C Documentation $@

check: export PBUILDER_CHECKOUT := $(CURDIR)
check:
	# syntax check.
	$(foreach script,$(CHECK_SCRIPTS),bash -n $(script)$(newline))
	$(foreach mp,$(CHECK_MANPAGES),LANG=C MANWIDTH=80 man --warnings -l $(mp) >/dev/null$(newline))
	# unit tests.
	$(foreach test,$(wildcard ./t/test_*),$(test)$(newline))

full-check:
	# system tests that might take long.
	cd testsuite && ./run-test.sh

clean:
	rm -f *.bak *~ TAGS
	rm -rfv testsuite/testimage \
		testsuite/testbuild \
		testsuite/testbuild2 \
		testsuite/regression/work
	$(MAKE) -C pbuildd $@
	$(MAKE) -C Documentation $@

TAGS:
	etags pbuilder-* pbuilder

define install_dir_impl
$(INSTALL_DIRECTORY) $($(1)DIR)$(newline)
$(foreach file,$($(1)_DATA),$(INSTALL_FILE) $(file) $($(1)DIR)$(newline))
$(foreach script,$($(1)_SCRIPTS),$(INSTALL_EXECUTABLE) $(script) $($(1)DIR)$(newline))
endef

install:
	$(foreach d,$(ALLDIRS),$(call install_dir_impl,$(d)))
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-mnt
	# install -aptitude flavour as the default satisfydepends
	ln -sf pbuilder-satisfydepends-aptitude $(PKGLIBDIR)/pbuilder-satisfydepends
	$(MAKE) -C pbuildd $@
	$(MAKE) -C Documentation $@

=== Documentation/Makefile ===
# makefile for documentation for pbuilder.

#required packages:
# docbook-xsl
# ldp-docbook-xsl
# xsltproc
# po4a
# dblatex

# the main XML file which is source to all documents
MASTERXML=pbuilder-doc.xml
MASTERPOT=pbuilder-doc.po
HTMLDOCS= pbuilder-doc.html pbuilder-doc.ja.html pbuilder-doc.fr.html pbuilder-doc.de.html
ALIOTH_FILEHOSTING:=alioth.debian.org

all: $(MASTERPOT) $(HTMLDOCS)

%.html: %.xml pbuilder-doc.xsl
	xsltproc pbuilder-doc.xsl $< > $@.tmp
	mv $@.tmp $@

pbuilder-doc.%.xml: pbuilder-doc.%.po
	po4a-translate -f docbook -m $(MASTERXML) -p $< -l $@ -k 1

pbuilder-doc.%.po: $(MASTERXML)
	po4a-updatepo -f docbook -m $< -p $@ 

%.pdf: %.xml
	# requires dblatex package.
	dblatex --tmpdir=docbuild $<

install: $(HTMLDOCS) pbuilder-doc.pdf
	install -d -m 755 -o root -g root $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root $(HTMLDOCS) $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root pbuilder-doc.pdf $(DESTDIR)/usr/share/doc/pbuilder/

$(MASTERPOT):
	po4a-gettextize -f docbook -m $(MASTERXML) -p $(MASTERPOT)

preview: pbuilder-doc.html
	mozilla-firefox -remote "openfile($(PWD)/$<)"

release: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
	scp $^ ${ALIOTH_FILEHOSTING}:/home/groups/pbuilder/htdocs/ 

clean:
	rm -fv \
		pbuilder-doc.de.po~ \
		pbuilder-doc.fr.po~ \
		pbuilder-doc.ja.po~ \
		pbuilder-doc.pdf \
		pbuilder-doc.glo \
		pbuilder-doc.idx \
		pbuilder-doc.log \
		pbuilder-doc.out \
		pbuilder-doc.aux \
		pbuilder-doc.html \
		pbuilder-doc.de.html \
		pbuilder-doc.fr.html \
		pbuilder-doc.ja.html \
		pbuilder-doc.html.tmp
	$(MAKE) -C debconf7 $@

.PHONY: preview release-netfort release clean

=== pbuildd/Makefile ===
PBUILDDDIR=/usr/share/doc/pbuilder/examples/pbuildd/

all:

clean:
	rm -f *~

install:
	install -d $(DESTDIR)$(PBUILDDDIR)
	install -d $(DESTDIR)$(PBUILDDDIR)/hookdir
	install -d $(DESTDIR)/var/cache/pbuilder/pbuildd
	install -m 755 -o root -g root buildd.sh $(DESTDIR)$(PBUILDDDIR)
	install -m 644 -o root -g root buildd-config.sh $(DESTDIR)/etc/pbuilder/
	install -m 755 -o root -g root hookdir/A10dpkg-l.sh $(DESTDIR)$(PBUILDDDIR)/hookdir

=== debian/changelog ===
pbuilder (0.223) unstable; urgency=medium

  * debian/control:
    + Drop explicit build dependency on dpkg-dev.
    + Drop version restriction from ldp-docbook-xsl build-dep.
    + Use https in Vcs-Git.
  * modules:
    + Add a blank line before changelog entries for binNMUs.
      Thanks to Andreas Beckmann for noticing.
    + Remove reference of pbuilder-uml from an error message.
  * pbuilderrc.5:
    + Document BINNMU_MAINTAINER option.  Closes: #810737
  * debian/pbuilder.config:
    + Stop trying to parse and sometimes overwrite user conf silently.
      Now if /etc/pbuilderrc already exists, we won't try to do anything,
      unless explicitly asked so.  Closes: #810967
  * loadconfig:
    + Stop complaining about deprecated DEBEMAIL, that caused too noise in
      false positive contexts.  Closes: #810715
  * buildpackage:
    + Fix check for ignored options to not warn when there is nothing to warn.
  * checkparams:
    + Print at debug level the command line used.
  * Remove pbuilder-uml.
    It's usually broken and anyway unmaintained, and not really used either.
  * Remove the pbuilder-selftest script from the sources

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 24 Jan 2016 17:39:24 +0000

pbuilder (0.222) unstable; urgency=medium

  [ Christopher Baines ]
  * buildpackage:
    + factor out a export_additional_buildresults() function.
    + export additional buildresults if the package build fails.  Closes: #806650

  [ Mattia Rizzolo ]
  * buildpackage:
    + say something more human whene the specified .dsc file is not found.
    + output a warning when there are options after the .dsc file (which will
      be ignored).  Closes: #669873
  * modules:
    + make log.d actually work (was not used before).
    + add two apt options that make sure that packages that are only recommended
      or suggested by still installed packages are also autoremoved.  This means
      APT::AutoRemove::SuggestsImportant=false and
      APT::AutoRemove::RecommendsImportant=false.
      Thanks to Johannes Schauer for the suggestion.
  * pdebuild:
    + further improvments to the regex to clean up DEBUILDOPTS.
      Thanks to Ondřej Surý <ondrej@debian.org> for the patch.  Closes: #782150
  * satisfydepends:
    + add support for Build-Depends-Arch and Build-Conflicts-Arch.
      Closes: #802557
  * conf: formally deprecate DEBEMAIL, it has been a noop since some releases.
  * pbuilder-apt-config: ubuntu ports now has s390x, add it here too.
  * debian/control: remove Junichi, Loïc and Matt from uploaders.
    Thanks for all your work till now, and come back whenever you want!
  * debian/copyright:
    + add myself.
    + update years of Junichi and Loïc entries.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 08 Jan 2016 17:57:37 +0000

pbuilder (0.221.3) unstable; urgency=medium

  * debian/tests/build-procenv: be sure there is a deb-src line in
    /etc/apt/sources.list
  * pbuilder-satisfydepends-aptitude: set XDG_CACHE_HOME=/root while calling
    aptitude, to avoid it putting stuff in BUILDDIR.  This is due to a changed
    behaviour in aptitude.  Closes: #807487

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 09 Dec 2015 18:39:33 +0000

pbuilder (0.221.2) unstable; urgency=medium

  * pbuilder: correctly empty and then recopy the chroot's /etc/resolv.conf
    only during the build process.  Closes: #806386
  * pbuilderrc:
    + remove the --keyring option from DEBOOTSTRAPOPTS.  This is not really
      needed and made harder for derivatives to derivate.  Closes: #751282
    + add --force-check-gpg to DEBOOTSTRAPOPTS: this makes debootstrap fail if
      the keyring is not available.
  * debian/tests/build-procenv: workaround apt 1.1 and ci.debian.net bad
    interaction by passing `-o APT::Sandbox::User=root` to apt invocation.
  * debian/control:
    + use my @debian.org email address.
    + stop suggesting pbuilder-uml.
  * debian/rules: add a ubuntu (and derivatives) only stanza to tweak some
    files at build time:
    + change the URL of the default archive in pbuilderrc and documentation.
    + set the default DISTRIBUTION to xenial.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Dec 2015 10:24:26 +0000

pbuilder (0.221.1) unstable; urgency=medium

  * pbuilder-apt-config: update the hardcoded list of releases/architectures of
    ubuntu and debian.  This fixes autopkgtest when run on ppc64el.
  * create:  load hooks before trying to execute them.  Closes: #806187
  * pdebuild-internal: revert back to plain log() instead of log.{i,e}().
  * buildpackage: move the binNMU() function from modules to buildpackage-funcs,
    where it fits better.
  * runhooks: move (un)loadhooks() and executehooks() to pbuilder-modules.
    Merging the file means the hooks can use functions from the modules and
    viceversa safely; otherwise we would need both the scripts to source the
    other and this is not supported in bash.
    Thanks to Holger to notice this broke with the last release.

 -- Mattia Rizzolo <mattia@mapreri.org>  Wed, 25 Nov 2015 23:56:26 +0000

pbuilder (0.221) unstable; urgency=medium

  [ Reiner Herrmann ]
  * doc/Makefile: make the build reproducible by using a fixed temp dir to
    build the pdf.  Closes: #804729

  [ Luca Falavigna ]
  * add binNMU support.  Closes: #683848

  [ Andreas Beckmann ]
  * add "binary-only=yes" mark to the binNMU changelog.
  * only set Changed-By to --binnmu-maintainer in .changes do not override
    Maintainer.

  [ Mattia Rizzolo ]
  * debian/control:
    + Add dependency on dpkg-dev >= 1.7.0 due to `dpkg-parsechangelog -S`
  * {create,update}: consider APTGETOPT also when running apt-get update.
    Closes: #608636
  * make the output level configurable through LOGLEVEL (--loglevel)
    valid values are D/I/W/E.  Closes: #490184
  * pbuilder:
    + add an (undocumented) --help operation.  Exit 0 if the help was requested.
    + clean: use `rm -f` when removing APTCACHE/*, so we don't fail when there
      is nothing in it.  Closes: #607607


=== debian/control ===
Source: pbuilder
Section: devel
Priority: extra
Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Uploaders: Mattia Rizzolo <mattia@debian.org>
Build-Depends: dblatex,
               debconf | debconf-2.0,
               debhelper (>= 9),
               docbook-xsl,
               ldp-docbook-xsl,
               po-debconf,
               po4a,
               xsltproc
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/pbuilder/pbuilder.git
Vcs-Browser: https://anonscm.debian.org/cgit/pbuilder/pbuilder.git
Testsuite: autopkgtest

Package: pbuilder
Architecture: all
Multi-Arch: foreign
Depends: debootstrap | cdebootstrap,
         dpkg-dev (>= 1.17.0),
         wget,
         ${misc:Depends}
Recommends: devscripts,
            fakeroot,
            net-tools | iproute2,
            sudo
Suggests: cowdancer,
          gdebi-core
Homepage: http://pbuilder.alioth.debian.org
Description: personal package builder for Debian packages
 pbuilder constructs a chroot system, and builds a package inside the
 chroot.
 It is an ideal system to use to check
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 "pbuilder create" uses debootstrap to create a chroot image.
 .
 "pbuilder update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder build" takes a *.dsc file and builds a binary in the chroot
 image.
 .
 pdebuild is a wrapper for Debian Developers, to allow running
 pbuilder just like "debuild", as a normal user.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pbuilder 0.223bpo8.1

=== debian/changelog ===
pbuilder (0.223bpo8.1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert "pbuilderrc: add --force-check-gpg to DEBOOTSTRAPOPTS: this makes
    debootstrap fail if the keyring is not available"
    This option is not in jessie version of debootstrap.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 29 Feb 2016 14:24:10 +0000

## pbuilder 0.223+8.0trisquel1

=== debian/changelog ===
pbuilder (0.223+8.0trisquel1) flidas; urgency=medium

  * Rebrand for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 27 Jan 2017 19:48:05 +0000

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
ifneq ($(shell dpkg-vendor --derives-from ubuntu && echo true),true)
	debconf-updatepo
else
	sed "s#http://httpredir.debian.org/debian#http://archive.trisquel.info/trisquel#g" -i debian/po/* -r
	sed "s#http://httpredir.debian.org/debian#http://archive.trisquel.info/trisquel#g" -i debian/pbuilder.templates
	sed "s#http://httpredir.debian.org/debian#http://archive.trisquel.info/trisquel#g" -i debian/pbuilder.config
	sed "s#http://httpredir.debian.org/debian#http://archive.trisquel.info/trisquel#g" -i pbuilderrc
	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=flidas/" -i pbuilderrc
endif
	dh_clean

override_dh_compress:
	dh_compress -X.pdf

## pbuilder 0.226.1

=== debian/changelog ===
pbuilder (0.226.1) unstable; urgency=medium

  [ James Clarke ]
  * modules: add_additional_aptkeyrings:
    Copy keyrings to /etc/apt/trusted.gpg.d instead of using apt-key.
    We can no longer rely on being able to use apt-key in a minimal chroot,
    because gnupg has been demoted to a Recommends in apt. Instead, the
    keyrings can be copied directly into /etc/apt/trusted.gpg.d.
    Moreover, `apt-key` usage has been discuraged over the past years.
    This means that using the APTKEYRINGS option of pbuilder won't actually
    work with chroots older than squeeze (APT version 0.7.25.1)

  [ Mattia Rizzolo ]
  * modules:
    + term_supports_colors: properly deal with tput not detecting a
      colored-capable terminal (as within cron).  Closes: #837202
    + add_additional_aptkeyrings: don't fail if the target keyring file is
      already presetn, just warn if different.
  * pbuilder.8, pbuilderrc.5: properly format so that no extra space is right
    before a closing bracket.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 11 Sep 2016 07:14:18 +0000

pbuilder (0.226) unstable; urgency=medium

  [ James Clarke ]
  * pbuilder: Don't show functions in dumpconfig.

  [ Mattia Rizzolo ]
  * Support coloured output using ANSI control characters.
    For now only debug, warning and error messages are coloured respectively in
    blue, yellow and red, using regular font (non-bold, non-italic).
    Possibly more changes, more colours,  shall appear in future!
    The feature is enabled only if a terminal supporting colours is detected,
    or if USECOLORS=yes is provided (=no to forcefully disable).
    Closes: #398402
  * t: move several inlined .dsc files into separate data files.
  * satisfydepends-funcs: don't ignore the last line of a .dsc while parsing it.
    Thanks to HW42 for providing the needed sed magic.  Closes: #635696
  * modules:
    + list --pbuilder of pdebuild option in --help output.  Closes: #503484
    + executehooks: demote the "no hooks found" message to debug level.
  * pbuilder.8:
    + document dumpconfig and debuild in the synopsis.  Closes: #586715
  * pbuilder: don't needlessly require a chroot to exist for `dumpconfig`.
    Closes: #324000
  * buildpackage-funcs:
    + turn getdscfiles() into deb822files() to support retrieving file list
      from .changes files as well.
  * buildpackage: copy out of the chroot only files explicitly listed in the
    produced .changes.  Closes: #492312

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Sep 2016 07:38:05 +0000

pbuilder (0.225.2) unstable; urgency=high

  [ James Clarke ]
  * modules: Don't trash CHROOTEXEC when using eatmydata.  Closes: #831823

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 20 Jul 2016 07:49:08 +0000

pbuilder (0.225.1) unstable; urgency=medium

  [ James Clarke ]
  * satisfydepends-experimental: Add support for build profiles.

  [ Michael Gilbert ]
  * modules: let tar automatically determine decompression program.
    This makes possible to switch compression of the tarball by just chaning the
    COMPRESSIONPROG option and run `pbuilder update`, and makes possible to use
    uncompressed tarballs by using cat(1) as a "compression program".
    Closes: #731099

  [ Mattia Rizzolo ]
  * pbuilder.8: document new --compressprog details.
  * pbuilderrc.5: document new --compressprog details.
  * modules:
    + don't remove eatmydata from the chroot if it's not available outside.
    + remove_packages: don't remove packages explicitly listed in EXTRAPACKAGES.
    + Closes: #827206

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 24 Jun 2016 14:36:45 +0000

pbuilder (0.225) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * debian/rules:
    + change default ubuntu distribution to yakkety.
    + enable universe by default in Ubuntu.  LP: #237591
  * Add builtin eatmydata support (Closes: #606158)
  * Add a USESYSFS option (defaulting to yes) to mount a sysfs filesystem in
    /sys.  Closes: #773767
  * Strip leading path from when calling external programs.  They are all in
    PATH, so let the shell finding them instead of calling them directly with
    the full path, so exiting things can be done.  Closes: #635698
  * modules:
    + take care of saving the mount point instead of the device name when
      bind-mounting.  This avoids umounting of unrelated mount points in case
      of errors.  LP: #1156636
    + support specifying BINDMOUNTS destination.  Thanks to Austin Phillips
      <austin.phillips@ceos.com.au> for the initial patch.  Closes: #593100
    + for selinux, only check for the precense of the selinux mount, instead of
      using selinuxenabled.  Closes: #506917
    + in the help message be more clear about what the `execute` command is for.
      Closes: #805494
  * pbuilder.8: use BUILDDIR instead of the old /tmp/buildd.
  * create/update:
    + move the code picking extra packages to install for optional features in
      a common function in modules.
  * checkparams: add a "--use-network yes|no" cmdline flag.  Closes: #823408
  * satisfydepends-funcs:
    + nicer formatting of the --help output, with a "Debugging options" section.
    + document the --internal-chrootexec option.  Closes: #635697

  [ James Clarke ]
  * pdebuild: fix typo in error message (debsign, not debsing).
  * modules:
    + pass -q, -y and APTGETOPT to apt-get in remove_packages.
    + add linsysfs support for KFreeBSD.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 12 Jun 2016 12:50:16 +0000

pbuilder (0.224) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Import patch from Fedora to use mktemp(1) instead of tempfile(1).
  * debian/copyright: extend my copyright over 2016.
  * debian/control: Bump Standards-Version to 3.9.8, no changes needed.
  * debian/tests/build-procenv: change debian mirror to cloudfront.debian.net,
    it's allegedly better for ci.debian.net.
  * debian/gbp.conf: change the format of the tags, use only '%(version)s'.


=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                po-debconf,
                po4a,
                xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pbuilder/pbuilder.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pbuilder/pbuilder.git
+Vcs-Browser: https://anonscm.debian.org/git/pbuilder/pbuilder.git
 Testsuite: autopkgtest
 
 Package: pbuilder
@@ -24,6 +24,7 @@
          wget,
          ${misc:Depends}
 Recommends: devscripts,
+            eatmydata,
             fakeroot,
             net-tools | iproute2,
             sudo

## pbuilder 0.226.1ubuntu0.1

=== debian/changelog ===
pbuilder (0.226.1ubuntu0.1) yakkety; urgency=medium

  * modules: remove_packages: check for package existence in the chroot,
    not in the host.  Closes: #840146; LP: #1640892

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 29 Nov 2016 19:13:22 +0100

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
ifneq ($(shell dpkg-vendor --derives-from ubuntu && echo true),true)
	debconf-updatepo
else
	sed "s#http://httpredir.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/po/* -r
	sed "s#http://httpredir.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.templates
	sed "s#http://httpredir.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.config
	sed "s#http://httpredir.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i pbuilderrc
	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=yakkety/" -i pbuilderrc
	sed 's/COMPONENTS="main"/COMPONENTS="main universe"/' -i pbuilderrc
endif
	dh_clean

override_dh_compress:
	dh_compress -X.pdf

## pbuilder 0.228.6

=== debian/changelog ===
pbuilder (0.228.6) unstable; urgency=medium

  [ James Clarke ]
  * modules: Use a new /dev/pts instance inside the chroot.
    This allows for better isolation as the build process is no longer able
    to see the host's PTYs, other than the controlling terminal (if there is
    one).  By using a new instance, we can also control the permissions of
    /dev/pts/ptmx, ensuring that the build process is always able to create
    new PTYs, even if the host's has the default 000 mode.
    Thanks to Simon McVittie <smcv@debian.org> for the thorough investigation.
    Closes: #841935

  [ Mattia Rizzolo ]
  * pbuilderrc.5:
    + Update the details about the currently available dependency resolvers.
  * debian/NEWS:
    + Remove changes reverted in successive fixup uploads.
  * checkparams:
    + Make --extrapackages cumulative.  Specifying --extrapackages multiple
      times will now add packages to the list.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 12 Mar 2017 16:23:59 +0100

pbuilder (0.228.5) unstable; urgency=medium

  [ Thorsten Glaser ]
  * pbuilder-buildpackage: Look for the correct changes file when performing a
    binNMU.  Closes: #856475

  [ James Clarke ]
  * pbuilder-buildpackage-funcs: Only look in BUILDSUBDIR when performing a
    binNMU and when looking for additional build results.

 -- James Clarke <jrtc27@debian.org>  Thu, 02 Mar 2017 16:16:19 +0000

pbuilder (0.228.4) unstable; urgency=medium

  [ James Clarke ]
  * modules: Fix bind-mounts on kFreeBSD.

  [ Mattia Rizzolo ]
  * buildpackage:
    + rename internal variable SUBDIR_NAME to BUILDSUBDIR (the subdirectory of
      BUILDDIR where the source will be unpacked).
    + make it possible to specify BUILDSUBDIR externally, i.e. through
      pbuilderrc.  Closes: #854255
  * pbuilderrc.5:
    + remove stale information: BUILDDIR is not (by default) the HOME of the
      build user anymore.
    + document what will happen inside BUILDDIR, and where the unpacked source
      will be.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 06 Feb 2017 20:16:31 +0100

pbuilder (0.228.3) unstable; urgency=medium

  * pbuilder-modules: Add get_source_options function to extract options for
    dpkg-source from DEBBUILDOPTS.
  * pdebuild: Use new get_source_options function.  Closes: #852442

 -- James Clarke <jrtc27@debian.org>  Tue, 24 Jan 2017 15:29:13 +0000

pbuilder (0.228.2) unstable; urgency=medium

  * pdebuild: Unquote changes options.  Closes: #852264
  * d/control: Add myself to uploaders.

 -- James Clarke <jrtc27@debian.org>  Mon, 23 Jan 2017 23:55:43 +0000

pbuilder (0.228.1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * checkparams: reinstate support for --debbuildopts in pdebuild itself.
    Closes: #851640

  [ James Clarke ]
  * modules:
    + Don't mount a tmpfs on /dev/shm on hurd.
    + Set sticky bit on /dev/shm.
    + Add new get_changes_options() function.
      This extracts options for dpkg-genchanges from DEBBUILDOPTS.
    + Add should_clean_source function.
      This extracts -nc/--(no-)pre-clean from DEBBUILDOPTS.
  * buildpackage:
    + Use new get_changes_options function when generating _source.changes.
  * pdebuild:
    + Use new get_changes_options function when generating the _source.changes.
    + Check the should_clean_source function before cleaning.  Closes: #851880
  * checkparams: Un-deprecate --debbuildopts being passed before --.
    This is needed in order to check for -nc/--pre-clean/--no-pre-clean, as
    well as various options to pass to dpkg-genchanges.
  * pdebuild.1: Document un-deprecation of --debbuildopts.
  * pbuilderrc.5: Document that USESHM is ignored on hurd.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 21 Jan 2017 23:43:21 +0100

pbuilder (0.228) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * modules:
    + Use default value of I if LOGLEVEL is undefined (fixes missing output
      from pbuilder-satisfydepends-apt).
    + create_basetgz(): explicitly exclude /sys/* and /proc/* from being saved
      in the tarball.  Closes: #560332
    + mount a tmpfs on /dev/shm by default, and set up a symlink
      /run/shm → /dev/shm.
      This also renames the configuration variable USERUNSHM to USESHM
      (deprecating the former).
      This will happen regardless of the Debian version of the chroot and the
      architecture used, as it ought to be harmless if unused.  Administrators
      are suggested to drop any workarounds in place to overcome this
      deficiency in pbuilder, such as bind-mounting /dev/shm from the host, to
      avoid situations like over-mounting.
      Closes: #591291, #717022, #773765
    + cross_build_setup(): run `apt-get update` after adding the foreign
      architecture in dpkg.  Otherwise apt won't know a thing about the
      foreign architectures, and won't be able to install anything.
    + extractbuildplace(): if ARCHITECTURE is not set, finalize it and
      HOST_ARCH right after chroot extraction, using the native architecture
      of the chroot.
  * pbuilder.8:
    + Fix a typo and add a missing word.
      Thanks to Unit193 for spotting and reporting.
  * pbuilderrc.5:
    + correct default for CCACHEDIR, which is not enabled by default.
  * satifydepends-apt:
    + Use the new --indep-only flag from APT 1.4~beta3 when performing an
      indep-only build.  This bumps the required apt version inside the chroot.
  * d/NEWS:
    + Add news entry for the SHM behaviour change.
  * t:
    + testlib: Autodetect if this is running from a git checkout and
      automatically set PBUILDER_CHECKOUT.

  [ James Clarke ]
  * modules:
    + add a get822field() function.
  * buildpackage-funcs:
    + add a dsc_get_basename() function returning the standard
      $srcname-$version as expected by other tools.
  * satisfydepends-funcs:
    + split get_build_depends_field() out of get_source_control_field().
      get_source_control_field() is now only a wrapper around the new


=== debian/control ===
Source: pbuilder
Section: devel
Priority: extra
Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
 James Clarke <jrtc27@debian.org>,
Build-Depends:
 dblatex,
 debconf | debconf-2.0,
 debhelper (>= 10),
 docbook-xsl,
 ldp-docbook-xsl,
 po-debconf,
 po4a,
 xsltproc,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pbuilder/pbuilder.git
Vcs-Browser: https://anonscm.debian.org/git/pbuilder/pbuilder.git
Testsuite: autopkgtest

Package: pbuilder
Architecture: all
Multi-Arch: foreign
Depends:
 debootstrap | cdebootstrap,
 dpkg-dev (>= 1.17.0),
 util-linux (>= 2.26.2-4) | initscripts (<< 2.88dsf-59.1),
 wget,
 ${misc:Depends},
Recommends:
 devscripts,
 eatmydata,
 fakeroot,
 net-tools | iproute2,
 sudo,
Suggests:
 cowdancer,
 gdebi-core,
Homepage: http://pbuilder.alioth.debian.org
Description: personal package builder for Debian packages
 pbuilder constructs a chroot system, and builds a package inside the
 chroot.
 It is an ideal system to use to check
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 "pbuilder create" uses debootstrap to create a chroot image.
 .
 "pbuilder update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder build" takes a *.dsc file and builds a binary in the chroot
 image.
 .
 pdebuild is a wrapper for Debian Developers, to allow running
 pbuilder just like "debuild", as a normal user.

## pbuilder 0.228.7~bpo8+1

=== debian/changelog ===
pbuilder (0.228.7~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert "pbuilderrc: add --force-check-gpg to DEBOOTSTRAPOPTS: this makes
    debootstrap fail if the keyring is not available".
    This option is not in jessie version of debootstrap.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 29 Apr 2017 12:06:36 +0200

pbuilder (0.228.7) unstable; urgency=medium

  * modules: do not output debug for log().
  * modules: use `mount|grep` instead of `mountpoint` to detect whether
    /dev/ptmx and /dev/console are still mounted.
    mountpoint(1) from initscripts as found in Debian jessie doesn't detect
    mounts over regular files as the version in util-linux (present in
    Debian stretch); this means those two checks could fail when run with
    initscripts' mountpoint(1).
    Closes: #859766
  * Remove now not needed dependency on util-linux|initscripts.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Apr 2017 19:00:19 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
 Depends:
  debootstrap | cdebootstrap,
  dpkg-dev (>= 1.17.0),
- util-linux (>= 2.26.2-4) | initscripts (<< 2.88dsf-59.1),
  wget,
  ${misc:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	sed "s#http://httpredir.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.templates
 	sed "s#http://httpredir.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.config
 	sed "s#http://httpredir.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i pbuilderrc
-	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=yakkety/" -i pbuilderrc
+	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=zesty/" -i pbuilderrc
 	sed 's/COMPONENTS="main"/COMPONENTS="main universe"/' -i pbuilderrc
 endif
 	dh_clean

=== debian/tests/control ===
Tests: unit-tests
Depends: @
Restrictions: allow-stderr

Tests: build-procenv
Depends: @, debian-keyring, distro-info, lsb-release, ubuntu-archive-keyring | ubuntu-keyring
Restrictions: needs-root

## pbuilder 0.228.7~mx15+1

=== debian/changelog ===
pbuilder (0.228.7~mx15+1) mx; urgency=medium

  * Rebuild for MX repository.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 Aug 2017 13:03:21 -0700

## pbuilder 0.228.9

=== debian/changelog ===
pbuilder (0.228.9) unstable; urgency=medium

  * Documentation:
    + Refresh PO files.
    + ja.po: fix invalid po file causing po4a-translate to fail with the latest
      po4a version.  Closes: #876926
  * d/control:
    + Remove now unneeded Testsuite field.
    + Bump Standards-Version to 4.1.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Oct 2017 16:51:00 +0200

pbuilder (0.228.8) unstable; urgency=medium

  [ Daniel Shahaf ]
  * pbuilder.8: specify that hooks are executed inside the chroot.

  [ James Clarke ]
  * pbuilder-modules:
    + Fix DEBBUILDOPTS parsing when it contains quotes around spaces.
      Closes: #865009
    + Use /run/shm as the real tmpfs on kfreebsd.
  * pdebuild-internal: Expand DEBBUILDOPTS outside su to match
    pbuilder-buildpackage behaviour.
  * Bump standards version to 4.1.0: Changed priority to optional.

  [ Unit 193 ]
  * examples: try to unify the scripts, additionally fixing some whitespace
    issues.

  [ Hans Joachim Desserud ]
  * apt-config: add artful.
  * d/rules: default to artful in the Ubuntu builds.  Closes: #867030

  [ Paul Hardy ]
  * Fix errors in the user's manual.

 -- James Clarke <jrtc27@debian.org>  Fri, 25 Aug 2017 18:53:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: pbuilder
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
@@ -14,10 +14,9 @@
  po-debconf,
  po4a,
  xsltproc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pbuilder/pbuilder.git
 Vcs-Browser: https://anonscm.debian.org/git/pbuilder/pbuilder.git
-Testsuite: autopkgtest
 
 Package: pbuilder
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	sed "s#http://httpredir.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.templates
 	sed "s#http://httpredir.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.config
 	sed "s#http://httpredir.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i pbuilderrc
-	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=zesty/" -i pbuilderrc
+	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=artful/" -i pbuilderrc
 	sed 's/COMPONENTS="main"/COMPONENTS="main universe"/' -i pbuilderrc
 endif
 	dh_clean

## pbuilder 0.229.1

=== Documentation/Makefile ===
--- 
+++ 
@@ -30,9 +30,9 @@
 	dblatex --tmpdir=docbuild $<
 
 install: $(HTMLDOCS) pbuilder-doc.pdf
-	install -d -m 755 -o root -g root $(DESTDIR)/usr/share/doc/pbuilder/
-	install -m 644 -o root -g root $(HTMLDOCS) $(DESTDIR)/usr/share/doc/pbuilder/
-	install -m 644 -o root -g root pbuilder-doc.pdf $(DESTDIR)/usr/share/doc/pbuilder/
+	install -d -m 755 $(DESTDIR)/usr/share/doc/pbuilder/
+	install -m 644 $(HTMLDOCS) $(DESTDIR)/usr/share/doc/pbuilder/
+	install -m 644 pbuilder-doc.pdf $(DESTDIR)/usr/share/doc/pbuilder/
 
 $(MASTERPOT):
 	po4a-gettextize -f docbook -m $(MASTERXML) -p $(MASTERPOT)

=== Documentation/debconf7/Makefile ===
SOURCE:=$(wildcard pb*.tex)
DVIFILES:=$(SOURCE:%.tex=%.dvi)
PDFFILES:=$(SOURCE:%.tex=%.pdf)

all: $(PDFFILES)

%.pdf: %.dvi
	dvipdfmx $< 

%.dvi: %.tex
	latex $<
	latex $<
	latex $<

clean:
	rm -fv *~ *.log *.aux *.snm *.toc *.out *.nav *.dvi *.pdf *.pdf

=== debian/changelog ===
pbuilder (0.229.1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * d/control: Remove dependency on wget, unused.
  * d/copyright:
    + Bump copyright year for 2018.
    + Use HTTPS in Format field.
    + Remove Upstream contact pointing to Junichi.
  * createbuildenv:
    + Print a tail of debootstrap.log when debootstrap fails  Closes: #870074
  * buildpackage:
    + Ignore the R³ field if the installed dpkg is too old to appropriately
      deal with it.

  [ James Clarke ]
  * d/control:
    + Change Vcs-* to point to salsa.
    + Bump standards version to 4.1.3, no changes needed.
    + Bump debhelper compat level to 11.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 22 Jan 2018 19:53:05 +0100

pbuilder (0.229) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * d/control: declare pbuilder can be built without root, R³:no.
  * d/rules: Change the default ubuntu release to bionic.
  * doc:
    + Update German translation.
      Thanks to Reiner Herrmann <reiner@reiner-h.de> for the contribution.
    + Don't force the documentation to be installed as root.
  * t: Add a couple of simple tests for get822field().
  * pbuildd: Don't force installation as root.
  * buildpackage: Add support for Rules-Requires-Root.
    When R³:no fakeroot is not installed in the chroot.
    A distribution with dpkg-dev >= 1.19.0 is required for then be able to
    build the package.
  * Switch the default mirror from httpredir.debian.org to deb.debian.org.
    Thanks to Unit193 <unit193@ubuntu.com> for the patch.

  [ Guido Günther ]
  * examples/B20autopkgtest: Use /bin/bash.  Closes: #874052
  * B20aupkgtest: Prefer autopkgtest over adt-run.
    autopkgtest 5.0 dropped support for adt-run.  Cater for that but still
    allow the usage of adt-run in older chroot.  Closes: #876399

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 28 Oct 2017 15:57:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,16 @@
 Build-Depends:
  dblatex,
  debconf | debconf-2.0,
- debhelper (>= 10),
+ debhelper (>= 11~),
  docbook-xsl,
  ldp-docbook-xsl,
  po-debconf,
  po4a,
  xsltproc,
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pbuilder/pbuilder.git
-Vcs-Browser: https://anonscm.debian.org/git/pbuilder/pbuilder.git
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/pbuilder-team/pbuilder.git
+Vcs-Browser: https://salsa.debian.org/pbuilder-team/pbuilder
 
 Package: pbuilder
 Architecture: all
@@ -24,7 +25,6 @@
 Depends:
  debootstrap | cdebootstrap,
  dpkg-dev (>= 1.17.0),
- wget,
  ${misc:Depends},
 Recommends:
  devscripts,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pbuilder 0.229.1+9.0trisquel1

=== debian/changelog ===
pbuilder (0.229.1+9.0trisquel1) etiona; urgency=medium

  * Rebrand for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 23:24:00 +0000

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
ifneq ($(shell dpkg-vendor --derives-from ubuntu && echo true),true)
	debconf-updatepo
else
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.info/trisquel#g" -i debian/po/* -r
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.info/trisquel#g" -i debian/pbuilder.templates
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.info/trisquel#g" -i debian/pbuilder.config
	sed "s#http://deb.debian.org/debian#http://archive.trisquel.info/trisquel#g" -i pbuilderrc
	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=etiona/" -i pbuilderrc
	sed 's/COMPONENTS="main"/COMPONENTS="main universe"/' -i pbuilderrc
endif
	dh_clean

override_dh_compress:
	dh_compress -X.pdf

## pbuilder 0.229.2~bpo9+1~mx17+1

=== debian/changelog ===
pbuilder (0.229.2~bpo9+1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 30 Apr 2018 13:28:03 -0700

pbuilder (0.229.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 09 Apr 2018 12:58:30 +0200

pbuilder (0.229.2) unstable; urgency=medium

  [ James Clarke ]
  * modules: Support bind-mounting files.
  * satisfydepends-funcs:
    + Normalize restriction formulae.
    + Handle / separator for spaces from -classic.
      Thanks to Yves-Alexis Perez <corsac@debian.org> for reporting.

  [ Mattia Rizzolo ]
  * Update maintainer email address to team+pbuilder@tracker.debian.org.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Apr 2018 14:25:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pbuilder
 Section: devel
 Priority: optional
-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  James Clarke <jrtc27@debian.org>,
@@ -15,7 +16,7 @@
  po4a,
  xsltproc,
 Standards-Version: 4.1.3
-Rules-Requires-Root: no
+# Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pbuilder-team/pbuilder.git
 Vcs-Browser: https://salsa.debian.org/pbuilder-team/pbuilder

## pbuilder 0.229.3

=== debian/changelog ===
pbuilder (0.229.3) unstable; urgency=medium

  [ Erich E. Hoover ]
  * pbuilder-modules: make bind mounts private on Linux.  Closes: #609427
    Based upon an idea from Philipp Hahn <hahn@univention.de>.

  [ Mattia Rizzolo ]
  * doc:
    + Drop target to upload documentation to Alioth.
    + Build the .pdf in the default target, instead of only in the install one.
  * Configure gitlab-ci to build the documentation and publish it.
  * Run the tests on GitLab CI.
  * d/control:
    + Move the Homepage to https://pbuilder-team.pages.debian.net/pbuilder.
    + Bump Standards-Version to 4.1.4, no changes neded.
  * d/rules: Default to cosmic on Ubuntu.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 17 Jun 2018 19:30:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pbuilder
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
+Maintainer: Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
  James Clarke <jrtc27@debian.org>,
@@ -15,8 +14,9 @@
  po-debconf,
  po4a,
  xsltproc,
-Standards-Version: 4.1.3
-# Rules-Requires-Root: no
+Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Homepage: https://pbuilder-team.pages.debian.net/pbuilder
 Vcs-Git: https://salsa.debian.org/pbuilder-team/pbuilder.git
 Vcs-Browser: https://salsa.debian.org/pbuilder-team/pbuilder
 
@@ -36,7 +36,6 @@
 Suggests:
  cowdancer,
  gdebi-core,
-Homepage: http://pbuilder.alioth.debian.org
 Description: personal package builder for Debian packages
  pbuilder constructs a chroot system, and builds a package inside the
  chroot.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
ifneq ($(shell dpkg-vendor --derives-from ubuntu && echo true),true)
	debconf-updatepo
else
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/po/* -r
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.templates
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i debian/pbuilder.config
	sed "s#http://deb.debian.org/debian#http://archive.ubuntu.com/ubuntu#g" -i pbuilderrc
	sed "s/#DISTRIBUTION=sid/DISTRIBUTION=cosmic/" -i pbuilderrc
	sed 's/COMPONENTS="main"/COMPONENTS="main universe"/' -i pbuilderrc
endif
	dh_clean

override_dh_compress:
	dh_compress -X.pdf
